using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 隐患整改责任人签名
    /// </summary>
    [Description("隐患整改责任人签名")]
    public class T_BS_RISK_SUBMIT_CONTENT_DEAL_USERSIGN : MesEntityBase
    {
        /// <summary>
        /// 隐患整改记录
        /// </summary>
        [Description("整改责任人")]
        [DataFieldForeignKey("Nav_ContentDeal", "Nav_ListUserSign")]
        public Guid? SUBMIT_CONTENT_DEAL_ID { get; set; }

        /// <summary>
        /// 导航：隐患整改记录
        /// </summary>
        [Description("导航：隐患整改记录")]
        public virtual T_BS_RISK_SUBMIT_CONTENT_DEAL Nav_ContentDeal { get; set; }

        /// <summary>
        /// 签名用户类型
        /// </summary>
        [Description("签名用户类型")]
        [EnumName("SIGNTYPE")]
        public int SIGNTYPE { get; set; }

        /// <summary>
        /// 签名用户
        /// </summary>
        [Description("签名用户")]
        [DataFieldForeignKey("Nav_User")]
        public Guid SUSER_ID { get; set; }

        /// <summary>
        /// 导航：签名用户
        /// </summary>
        [Description("导航：签名用户")]
        public virtual T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 签名文件
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }

        /// <summary>
        /// 签名文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}